Name:           polyml
Version:        5.0
Release:        2%{?dist}
Summary:        Poly/ML compiler and runtime system

Group:          Development/Languages
License:        LGPL
URL:            http://www.polyml.org
Source0:        http://kent.dl.sourceforge.net/sourceforge/polyml/polyml.5.0.tar.gz
Source1:        polyml-docs.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  lesstif-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXt-devel

%description
Poly/ML is a full implementation of Standard ML available as
open-source.  This release supports the ML97 version of the language
and the Standard Basis Library.


%package doc
Summary:        Poly/ML documentation
Group:          Development/Languages

%description doc
Documention for Poly/ML.


%package libs
Summary:        Poly/ML runtime libraries
Group:          System Environment/Libraries

%description libs
Runtime libraries for Poly/ML.


%prep
%setup -q -n polyml.%{version}
%setup -q -T -D -a 1 -n polyml.%{version}
find docs -type f | xargs chmod 0644
find docs -type f | xargs sed -i 's|\r|\n|'



%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' | xargs rm -f
find $RPM_BUILD_ROOT -name 'libpolyml.a' | xargs rm -f


%clean
rm -rf $RPM_BUILD_ROOT


%post libs -p /sbin/ldconfig


%postun libs -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/poly
%{_bindir}/polyimport
%{_libdir}/libpolymain.a
%{_libdir}/libpolyml.so
%{_mandir}/man1/poly.1.gz
%{_mandir}/man1/polyimport.1.gz


%files doc
%defattr(-,root,root,-)
%doc docs/*


%files libs
%defattr(-,root,root,-)
%{_libdir}/libpolyml.so.*


%changelog
* Tue Mar 27 2007 Gerard Milmeister <gemi@bluewin.ch> - 5.0-2
- spec file fixes

* Mon Feb 12 2007 Gerard Milmeister <gemi@bluewin.ch> - 5.0-1
- new version 5.0

